Liblinphone: linphone::EventLog Class Reference

Liblinphone 5.0.0

Public Types | Public Member Functions | List of all members
linphone::EventLog Class Reference

Object that represents an event that must be stored in database. More...

`#include <event_log.hh>`

Inheritance diagram for linphone::EventLog:

## Public Types
enum class | SecurityEventType { None = 0 , SecurityLevelDowngraded = 1 , ParticipantMaxDeviceCountExceeded = 2 , EncryptionIdentityKeyChanged = 3 , ManInTheMiddleDetected = 4 }
| SecurityEventType is used to indicate the type of security event. More...
enum class | Type { None = 0 , ConferenceCreated = 1 , ConferenceTerminated = 2 , ConferenceCallStart = 3 , ConferenceCallEnd = 4 , ConferenceChatMessage = 5 , ConferenceParticipantAdded = 6 , ConferenceParticipantRemoved = 7 , ConferenceParticipantSetAdmin = 8 , ConferenceParticipantUnsetAdmin = 9 , ConferenceParticipantDeviceAdded = 10 , ConferenceParticipantDeviceRemoved = 11 , ConferenceParticipantDeviceMediaChanged = 17 , ConferenceSubjectChanged = 12 , ConferenceAvailableMediaChanged = 18 , ConferenceSecurityEvent = 13 , ConferenceEphemeralMessageLifetimeChanged = 14 , ConferenceEphemeralMessageEnabled = 15 , ConferenceEphemeralMessageDisabled = 16 }
| Type is used to indicate the type of an event. More...

## Public Member Functions
| EventLog (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneEventLog * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Call > | getCall () const
| Returns the call of a conference call event. More...
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ChatMessage > | getChatMessage () const
| Returns the chat message of a conference chat message event. More...
LINPHONECXX_PUBLIC time_t | getCreationTime () const
| Returns the creation time of a event log. More...
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getDeviceAddress () const
| Returns the device address of a conference participant device event. More...
LINPHONECXX_PUBLIC long | getEphemeralMessageLifetime () const
| Returns the ephemeral message lifetime of a conference ephemeral message event. More...
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getLocalAddress () const
| Returns the local address of a conference event. More...
LINPHONECXX_PUBLIC unsigned int | getNotifyId () const
| Returns the notify id of a conference notified event. More...
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getParticipantAddress () const
| Returns the participant address of a conference participant event. More...
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getPeerAddress () const
| Returns the peer address of a conference event. More...
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Address > | getSecurityEventFaultyDeviceAddress () const
| Returns the faulty device address of a conference security event. More...
LINPHONECXX_PUBLIC SecurityEventType | getSecurityEventType () const
| Returns the type of security event. More...
LINPHONECXX_PUBLIC std::string | getSubject () const
| Returns the subject of a conference subject event. More...
LINPHONECXX_PUBLIC Type | getType () const
| Returns the type of a event log. More...
LINPHONECXX_PUBLIC void | deleteFromDatabase ()
| Delete event log from database.

## Detailed Description

Object that represents an event that must be stored in database.

For example, all chat related events are wrapped in an EventLog, and many callbacks use this kind of type as parameter. Use getType() to get the Type it refers to, and then you can use one of the accessor methods to get the underlying object, for example getChatMessage() for a ChatMessage.

## Member Enumeration Documentation

## ◆ SecurityEventType

enum linphone::EventLog::SecurityEventType
| strong

SecurityEventType is used to indicate the type of security event.

Enumerator
None | Event is not a security event.
SecurityLevelDowngraded | Chatroom security level downgraded event.
ParticipantMaxDeviceCountExceeded | Participant has exceeded the maximum number of device event.
EncryptionIdentityKeyChanged | Peer device instant messaging encryption identity key has changed event.
ManInTheMiddleDetected | Man in the middle detected event.

## ◆ Type

enum linphone::EventLog::Type
| strong

Type is used to indicate the type of an event.

Enumerator
None | No defined event.
ConferenceCreated | Conference (created) event.
ConferenceTerminated | Conference (terminated) event.
ConferenceCallStart | Conference call (start) event.
ConferenceCallEnd | Conference call (end) event.
ConferenceChatMessage | Conference chat message event.
ConferenceParticipantAdded | Conference participant (added) event.
ConferenceParticipantRemoved | Conference participant (removed) event.
ConferenceParticipantSetAdmin | Conference participant (set admin) event.
ConferenceParticipantUnsetAdmin | Conference participant (unset admin) event.
ConferenceParticipantDeviceAdded | Conference participant device (added) event.
ConferenceParticipantDeviceRemoved | Conference participant device (removed) event.
ConferenceParticipantDeviceMediaChanged | Conference participant device (media changed) event.
ConferenceSubjectChanged | Conference subject event.
ConferenceAvailableMediaChanged | Conference available media event.
ConferenceSecurityEvent | Conference encryption security event.
ConferenceEphemeralMessageLifetimeChanged | Conference ephemeral message (ephemeral message lifetime changed) event.
ConferenceEphemeralMessageEnabled | Conference ephemeral message (ephemeral message enabled) event.
ConferenceEphemeralMessageDisabled | Conference ephemeral message (ephemeral message disabled) event.

## Member Function Documentation

## ◆ getCall()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::Call> linphone::EventLog::getCall | ( |  | ) | const

Returns the call of a conference call event.

Returns
  The conference Call.

## ◆ getChatMessage()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::ChatMessage> linphone::EventLog::getChatMessage | ( |  | ) | const

Returns the chat message of a conference chat message event.

Returns
  The conference ChatMessage.

## ◆ getCreationTime()

LINPHONECXX_PUBLIC time_t linphone::EventLog::getCreationTime | ( |  | ) | const

Returns the creation time of a event log.

Returns
  The event creation time

## ◆ getDeviceAddress()

LINPHONECXX_PUBLIC std::shared_ptr<const linphone::Address> linphone::EventLog::getDeviceAddress | ( |  | ) | const

Returns the device address of a conference participant device event.

Returns
  The conference device Address.

## ◆ getEphemeralMessageLifetime()

LINPHONECXX_PUBLIC long linphone::EventLog::getEphemeralMessageLifetime | ( |  | ) | const

Returns the ephemeral message lifetime of a conference ephemeral message event.

Ephemeral lifetime means the time before an ephemeral message which has been viewed gets deleted.

Returns
  The ephemeral message lifetime.

## ◆ getLocalAddress()

LINPHONECXX_PUBLIC std::shared_ptr<const linphone::Address> linphone::EventLog::getLocalAddress | ( |  | ) | const

Returns the local address of a conference event.

Returns
  The local Address.

## ◆ getNotifyId()

LINPHONECXX_PUBLIC unsigned int linphone::EventLog::getNotifyId | ( |  | ) | const

Returns the notify id of a conference notified event.

Returns
  The conference notify id.

## ◆ getParticipantAddress()

LINPHONECXX_PUBLIC std::shared_ptr<const linphone::Address> linphone::EventLog::getParticipantAddress | ( |  | ) | const

Returns the participant address of a conference participant event.

Returns
  The conference participant Address.

## ◆ getPeerAddress()

LINPHONECXX_PUBLIC std::shared_ptr<const linphone::Address> linphone::EventLog::getPeerAddress | ( |  | ) | const

Returns the peer address of a conference event.

Returns
  The peer Address.

## ◆ getSecurityEventFaultyDeviceAddress()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::Address> linphone::EventLog::getSecurityEventFaultyDeviceAddress | ( |  | ) | const

Returns the faulty device address of a conference security event.

Returns
  The Address of the faulty device.

## ◆ getSecurityEventType()

LINPHONECXX_PUBLIC SecurityEventType linphone::EventLog::getSecurityEventType | ( |  | ) | const

Returns the type of security event.

Returns
  The SecurityEventType type.

## ◆ getSubject()

LINPHONECXX_PUBLIC std::string linphone::EventLog::getSubject | ( |  | ) | const

Returns the subject of a conference subject event.

Returns
  The conference subject.

## ◆ getType()

LINPHONECXX_PUBLIC Type linphone::EventLog::getType | ( |  | ) | const

Returns the type of a event log.

Returns
  The Type type

The documentation for this class was generated from the following file:

- event_log.hh